// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef CPPCODEGENTEST_PACKAGE1_CLASS9_H
#define CPPCODEGENTEST_PACKAGE1_CLASS9_H

/************************************************************
 Class9 class header
 ************************************************************/

#include "CppCodegenTest/Package1/Pkg_Package1.h"

#include "AnsiCLibrary/Pkg_AnsiCLibrary.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace CppCodegenTest {
namespace Package1 {

/************************************************************/
/**
 * 
 */
class Class9 {
public:

	/**
	 * 
	 */
	int volatileAttribute;

	/**
	 * Should not generate 'register' keyword as 'register' only applies to properties declared within the scope of an operation.
	 */
	int registerAttribute;

	/**
	 * 
	 */
	::PrimitiveTypes::Integer constExprAttribute;

	/**
	 * 
	 * @return  
	 */
	volatile int volatileIntOperation();

	/**
	 * Should not generate the 'register' keyword as it cannot be used in method signatures.
	 * @return  
	 */
	register int registerOperation();

	/**
	 * 
	 */
	constexpr void constExprOperation();

};
/************************************************************/
/* External declarations (package visibility)               */

/**
 * 
 */
int externAttribute = 3;

/**
 * 
 * @return  
 */
extern int externOperation();
/************************************************************/

/* Inline functions                                         */

} // of namespace Package1
} // of namespace CppCodegenTest

/************************************************************
 End of Class9 class header
 ************************************************************/

#endif
